import type { APIContext, Locales, Params } from '../../@types/astro.js';
import type { AstroCookies } from '../cookies/index.js';
import { type RoutingStrategies } from '../../i18n/utils.js';
type CreateAPIContext = {
    request: Request;
    params: Params;
    site?: string;
    props: Record<string, any>;
    adapterName?: string;
    locales: Locales | undefined;
    routingStrategy: RoutingStrategies | undefined;
    defaultLocale: string | undefined;
    route: string;
    cookies: AstroCookies;
};
/**
 * Creates a context that holds all the information needed to handle an Astro endpoint.
 *
 * @param {CreateAPIContext} payload
 */
export declare function createAPIContext({ request, params, site, props, adapterName, locales, routingStrategy, defaultLocale, route, cookies, }: CreateAPIContext): APIContext;
export {};
